Bug 34511 - Typo in manage_staged_records permission description
Summary: Typo in manage_staged_records permission description
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-08-09 20:03 UTC by Caroline Cyr La Rose
Modified: 2024-07-04 20:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This patch corrects a typo in the description of the manage_staged_records permission.
Version(s) released in:
23.11.00,23.05.05,22.11.11


Attachments
Bug 34511: Typo in manage_staged_records permission description (1.57 KB, patch)
2023-08-09 20:23 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 34511: Typo in manage_staged_records permission description (1.62 KB, patch)
2023-08-10 13:55 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 34511: Typo in manage_staged_records permission description (1.72 KB, patch)
2023-09-29 09:49 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2023-08-09 20:03:40 UTC
While translating, I noticed there is a typo in the description of the manage_staged_records permission. All other permission descriptions are in the present tense, but this one is in the past tense.

Managed staged MARC records, including completing and reversing imports (manage_staged_marc)

For example, compared to

Stage MARC records into the reservoir (stage_marc_import)

To recreate:
1. Go to any patron record
2. Click More > Set permissions
3. Click Show details next to the Use all tools permission
--> Notice all descriptions start with a present tense verb except Managed staged MARC records

A simple slip of the finger!
Comment 1 Caroline Cyr La Rose 2023-08-09 20:23:25 UTC
Created attachment 154340 [details] [review]
Bug 34511: Typo in manage_staged_records permission description

This patch corrects a typo in the description of the manage_staged_records permission. All other permission descriptions are in the present tense, but this one is in the past tense.

To test:
0. Apply the patch
1. Go to any patron record
2. Click More > Set permissions
3. Click Show details next to the Use all tools permission
4. Read the description for the manage_staged_records permission, make sure the spelling and grammar are correct
Comment 2 ByWater Sandboxes 2023-08-10 13:55:54 UTC
Created attachment 154345 [details] [review]
Bug 34511: Typo in manage_staged_records permission description

This patch corrects a typo in the description of the manage_staged_records permission. All other permission descriptions are in the present tense, but this one is in the past tense.

To test:
0. Apply the patch
1. Go to any patron record
2. Click More > Set permissions
3. Click Show details next to the Use all tools permission
4. Read the description for the manage_staged_records permission, make sure the spelling and grammar are correct

Signed-off-by: hebah <hebah@bywatersolutions.com>
Comment 3 hebah 2023-08-10 13:56:39 UTC
Typo fixed!
Comment 4 Marcel de Rooy 2023-09-29 09:49:33 UTC
Created attachment 156373 [details] [review]
Bug 34511: Typo in manage_staged_records permission description

This patch corrects a typo in the description of the manage_staged_records permission. All other permission descriptions are in the present tense, but this one is in the past tense.

To test:
0. Apply the patch
1. Go to any patron record
2. Click More > Set permissions
3. Click Show details next to the Use all tools permission
4. Read the description for the manage_staged_records permission, make sure the spelling and grammar are correct

Signed-off-by: hebah <hebah@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2023-09-29 09:50:08 UTC
Just thinking whether reversing should be reverting actually in the same sentence? No blocker.
Comment 6 Tomás Cohen Arazi 2023-10-04 13:33:28 UTC
Pushed to master for 23.11.

Nice work everyone, thanks!
Comment 7 Fridolin Somers 2023-10-05 20:19:15 UTC
Makes more sens, I choose to backport

Pushed to 23.05.x for 23.05.05
Comment 8 Matt Blenkinsop 2023-10-17 17:24:32 UTC
Nice work everyone!

Pushed to oldstable for 22.11.x